GNU bug report logs - #52956
[PATCH] gnu: darktable: update to 3.8.0

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Alex Devaure <ajadevaure@HIDDEN>; Keywords: patch; merged with #53152; dated Sun, 2 Jan 2022 17:00:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 52956 <at> debbugs.gnu.org:


Received: (at 52956) by debbugs.gnu.org; 17 Jan 2022 21:11:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 17 16:11:53 2022
Received: from localhost ([127.0.0.1]:48282 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n9ZI9-0004WK-6D
	for submit <at> debbugs.gnu.org; Mon, 17 Jan 2022 16:11:53 -0500
Received: from mail-wm1-f44.google.com ([209.85.128.44]:54847)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ajadevaure@HIDDEN>) id 1n9ZI7-0004W5-Dy
 for 52956 <at> debbugs.gnu.org; Mon, 17 Jan 2022 16:11:52 -0500
Received: by mail-wm1-f44.google.com with SMTP id p18so23219309wmg.4
 for <52956 <at> debbugs.gnu.org>; Mon, 17 Jan 2022 13:11:51 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=references:user-agent:from:to:cc:subject:date:in-reply-to
 :message-id:mime-version;
 bh=wjhng4c4Ei+73GQXBtZIuWKLxgOelkb5mcCJlK8OI/Q=;
 b=orE31ahGtIhmIKq4xnZqI43IYfQlbk4kRuwYyBirvcAMLG/IVCUcCo5kAuqVsLMigW
 v38+lMNKPCoJopW1e8YqFnFWq1oiSIV/pdKQiU1F8FCKIgF2DI+WhftvSXzT7GPvTZnV
 I92DaASfzPgWh44GiAnI05Aqr9OwsuGMKZH0o/SixkhmMNLNGBScp1eJiw7ecI7xgtVE
 geOEPRSrE7JqYJy0K8dCLSooEq4RXwbtGOmZqz7l9GrEW2joieDNOxGvdIqpKDVjLNFC
 jdY9e8XkPbLoWVRaENbcgEB567aP5swBbVR5wF+hyScwnQKPHkkvfF138Djj8Fn96O3B
 CL9w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject:date
 :in-reply-to:message-id:mime-version;
 bh=wjhng4c4Ei+73GQXBtZIuWKLxgOelkb5mcCJlK8OI/Q=;
 b=ezZPxsbR0gWMc5nC+E8M29bucvJks99xfPLlm4VlAayJyigchejhNT6VBHsvTGhxLL
 tZrcfXNR1aQZmO4d4E1Rb5QyvwRXBeVfw7nNzxpNeGOgnFuA6+UbZ/tBGduLx/wWo1hh
 M0TVAcNJGTFl+we0Eh7GrY28w80UYtldO1LGn1L49qqBiRRTMbkZVDvpeq0F2xVcq35D
 HjuGDoZWEUjAvJihPLxVmzlyX/5qkC/jW/h4s26Ap8BifrYlCMLXGNU4cvTtKkdu4DGf
 ORUBN2K2aRUI9zWMjA5BFXbrVR2AY80/JA6yOZt7no/5aj28VCNmeEdAXCoLJveTq9pJ
 KQwg==
X-Gm-Message-State: AOAM530l3pmuvGOeHligfHjeciOfR2Bcjqs+vGgi3+9As/I7jcCJNU/Y
 Q/D7l1Z59KpOLqv1gxewAEbhrDbkQmE=
X-Google-Smtp-Source: ABdhPJzIfGiBE7HC0Pmuuu7XcesJYKVm0dZukHbFjFcle+Y2R3WmSWjFXhkQvPa8VOGi/ZJpWytzcw==
X-Received: by 2002:adf:8b50:: with SMTP id v16mr22036164wra.44.1642453905849; 
 Mon, 17 Jan 2022 13:11:45 -0800 (PST)
Received: from guixbox ([2a02:c7e:1d62:c300:bcea:534c:4d58:d50])
 by smtp.gmail.com with ESMTPSA id h17sm14278944wro.68.2022.01.17.13.11.44
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 17 Jan 2022 13:11:45 -0800 (PST)
References: <875yr24glr.fsf@HIDDEN>
 <ZWOcJvwJLFSM-TjPkFv6gCAopoW3uxbj-TjJZOJuSRdVhizNxipt37q1Sxq6etyZyww_pQ0Oz2kXXrxVf2cPJh-dJlyf5jY1LcnqZ4yciA8=@protonmail.com>
 <87h7ad3n44.fsf_-_@HIDDEN>
 <foNs-rC4Sspfcler7BcTlQXzSzqxMF4u30DrSSYQF8YW81u1sb9RkYNNIeM7CmcRgqnCNsj2poK-3iwI4o4wtThAs6ZqhFTnxig26eUpxIA=@protonmail.com>
 <87sftxdshj.fsf@HIDDEN>
 <k8r4z2cDy3Wo5a6GciJ-94u1qUrpBvo93r-JHlXyf1MZLqUcGybd3zujmHURNai7v7vO4JpcVcaaf9gRrad2bvRObsTsAakbavpRsD-i0Wg=@protonmail.com>
 <87zgo4ppx9.fsf@HIDDEN> <87czkypiey.fsf@HIDDEN>
 <87pmorz5ik.fsf_-_@HIDDEN>
User-agent: mu4e 1.6.10; emacs 27.2
From: Alex Devaure <ajadevaure@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#52956: [PATCH] gnu: darktable: update to 3.8.0
Date: Mon, 17 Jan 2022 21:08:03 +0000
In-reply-to: <87pmorz5ik.fsf_-_@HIDDEN>
Message-ID: <87wniyxe2f.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52956
Cc: John Kehayias <john.kehayias@HIDDEN>,
 "52956 <at> debbugs.gnu.org" <52956 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Hi Ludo,
I attached the updated patch for darktable using lua 5.4.3.
Kind regards,
Alex

--=-=-=
Content-Type: text/plain
Content-Disposition: inline

diff --git a/gnu/packages/photo.scm b/gnu/packages/photo.scm
index 913e1070f7..14da5cf5fb 100644
--- a/gnu/packages/photo.scm
+++ b/gnu/packages/photo.scm
@@ -457,7 +457,7 @@ (define-public lensfun
 (define-public darktable
   (package
     (name "darktable")
-    (version "3.6.1")
+    (version "3.8.0")
     (source
      (origin
        (method url-fetch)
@@ -465,7 +465,7 @@ (define-public darktable
              "https://github.com/darktable-org/darktable/releases/"
              "download/release-" version "/darktable-" version ".tar.xz"))
        (sha256
-        (base32 "051dwhdqa9q3zyrvr78g0cfzl1zhaagfvgx9axa9895q0g0wggx2"))))
+        (base32 "01gp9dg5wr2rg1k8cqs0l3s7ism8a4q8qypgwccd4jh7ip3wfr9f"))))
     (build-system cmake-build-system)
     (arguments
      `(#:configure-flags '("-DBINARY_PACKAGE_BUILD=On"
@@ -518,42 +518,42 @@ (define-public darktable
        ("python" ,python-wrapper)
        ("ruby" ,ruby)))
     (inputs
-     `(("cairo" ,cairo)
-       ("colord-gtk" ,colord-gtk) ;optional, for color profile support
-       ("cups" ,cups) ;optional, for printing support
-       ("curl" ,curl)
-       ("dbus-glib" ,dbus-glib)
-       ("exiv2" ,exiv2)
-       ("freeimage" ,freeimage)
-       ("gmic" ,gmic) ;optional, for HaldcLUT support
-       ("graphicsmagick" ,graphicsmagick)
-       ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
-       ("gtk+" ,gtk+)
-       ("imath" ,imath)
-       ("iso-codes" ,iso-codes) ;optional, for language names in the preferences
-       ("json-glib" ,json-glib)
-       ("lcms" ,lcms)
-       ("lensfun" ,lensfun) ;optional, for the lens distortion plugin
-       ("libgphoto2" ,libgphoto2) ;optional, for camera tethering
-       ("libavif" ,libavif) ;optional, for AVIF support
-       ("libjpeg" ,libjpeg-turbo)
-       ("libomp" ,libomp)
-       ("libpng" ,libpng)
-       ("librsvg" ,librsvg)
-       ("libsecret" ,libsecret) ;optional, for storing passwords
-       ("libsoup" ,libsoup-minimal-2)
-       ("libtiff" ,libtiff)
-       ("libwebp" ,libwebp) ;optional, for WebP support
-       ("libxml2" ,libxml2)
-       ("libxslt" ,libxslt)
-       ("lua" ,lua) ;optional, for plugins
-       ("opencl-icd-loader" ,opencl-icd-loader) ;optional, for OpenCL support
-       ("openexr" ,openexr) ;optional, for EXR import/export
-       ("openjpeg" ,openjpeg) ;optional, for JPEG2000 export
-       ("osm-gps-map" ,osm-gps-map) ;optional, for geotagging view
-       ("pugixml" ,pugixml)
-       ("python-jsonschema" ,python-jsonschema)
-       ("sqlite" ,sqlite)))
+     (list cairo
+           colord-gtk ;optional, for color profile support
+           cups ;optional, for printing support
+           curl
+           dbus-glib
+           exiv2
+           freeimage
+           gmic ;optional, for HaldcLUT support
+           graphicsmagick
+           gsettings-desktop-schemas
+           gtk+
+           imath
+           iso-codes ;optional, for language names in the preferences
+           json-glib
+           lcms
+           lensfun ;optional, for the lens distortion plugin
+           libgphoto2 ;optional, for camera tethering
+           libavif ;optional, for AVIF support
+           libjpeg-turbo
+           libomp
+           libpng
+           librsvg
+           libsecret ;optional, for storing passwords
+           libsoup-minimal-2
+           libtiff
+           libwebp ;optional, for WebP support
+           libxml2
+           libxslt
+           lua-5.4 ;optional, for plugins
+           opencl-icd-loader ;optional, for OpenCL support
+           openexr ;optional, for EXR import/export
+           openjpeg ;optional, for JPEG2000 export
+           osm-gps-map ;optional, for geotagging view
+           pugixml
+           python-jsonschema
+           sqlite))
     (home-page "https://www.darktable.org")
     (synopsis "Virtual lighttable and darkroom for photographers")
     (description "Darktable is a photography workflow application and RAW

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hi,
>
> Alex Devaure <ajadevaure@HIDDEN> skribis:
>
>> I just submitted a patch to add the new version of lua.
>
> Nice.  Now that the newer Lua is committed, could you update the
> Darktable patch accordingly?  And then I think we=E2=80=99ll be done.
>
> Thanks in advance,
> Ludo=E2=80=99.


--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#52956; Package guix-patches. Full text available.

Message received at 52956 <at> debbugs.gnu.org:


Received: (at 52956) by debbugs.gnu.org; 16 Jan 2022 22:21:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 16 17:21:16 2022
Received: from localhost ([127.0.0.1]:44397 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n9Dtj-0002Wa-RM
	for submit <at> debbugs.gnu.org; Sun, 16 Jan 2022 17:21:15 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:56830)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1n9Dti-0002WN-7z
 for 52956 <at> debbugs.gnu.org; Sun, 16 Jan 2022 17:21:14 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id CB1FB213;
 Sun, 16 Jan 2022 23:21:08 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id FjzZBnfGcvW7; Sun, 16 Jan 2022 23:21:08 +0100 (CET)
Received: from ribbon (91-160-117-201.subs.proxad.net [91.160.117.201])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 41CB518A;
 Sun, 16 Jan 2022 23:21:08 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Alex Devaure <ajadevaure@HIDDEN>
Subject: Re: bug#52956: [PATCH] gnu: darktable: update to 3.8.0
References: <875yr24glr.fsf@HIDDEN>
 <ZWOcJvwJLFSM-TjPkFv6gCAopoW3uxbj-TjJZOJuSRdVhizNxipt37q1Sxq6etyZyww_pQ0Oz2kXXrxVf2cPJh-dJlyf5jY1LcnqZ4yciA8=@protonmail.com>
 <87h7ad3n44.fsf_-_@HIDDEN>
 <foNs-rC4Sspfcler7BcTlQXzSzqxMF4u30DrSSYQF8YW81u1sb9RkYNNIeM7CmcRgqnCNsj2poK-3iwI4o4wtThAs6ZqhFTnxig26eUpxIA=@protonmail.com>
 <87sftxdshj.fsf@HIDDEN>
 <k8r4z2cDy3Wo5a6GciJ-94u1qUrpBvo93r-JHlXyf1MZLqUcGybd3zujmHURNai7v7vO4JpcVcaaf9gRrad2bvRObsTsAakbavpRsD-i0Wg=@protonmail.com>
 <87zgo4ppx9.fsf@HIDDEN> <87czkypiey.fsf@HIDDEN>
Date: Sun, 16 Jan 2022 23:21:07 +0100
In-Reply-To: <87czkypiey.fsf@HIDDEN> (Alex Devaure's message of "Tue, 11
 Jan 2022 12:25:54 +0000")
Message-ID: <87pmorz5ik.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spamd-Bar: /
Authentication-Results: hera.aquilenet.fr;
	none
X-Rspamd-Server: hera
X-Rspamd-Queue-Id: CB1FB213
X-Spamd-Result: default: False [-0.10 / 15.00]; ARC_NA(0.00)[];
 TO_DN_EQ_ADDR_SOME(0.00)[]; RCVD_VIA_SMTP_AUTH(0.00)[];
 FROM_HAS_DN(0.00)[]; RCPT_COUNT_THREE(0.00)[3];
 TO_MATCH_ENVRCPT_ALL(0.00)[];
 FREEMAIL_ENVRCPT(0.00)[gmail.com,protonmail.com];
 MIME_GOOD(-0.10)[text/plain]; TO_DN_SOME(0.00)[];
 FREEMAIL_TO(0.00)[gmail.com]; FROM_EQ_ENVFROM(0.00)[];
 MIME_TRACE(0.00)[0:+]; RCVD_COUNT_TWO(0.00)[2];
 RCVD_TLS_ALL(0.00)[]; MID_RHS_MATCH_FROM(0.00)[];
 FREEMAIL_CC(0.00)[protonmail.com,debbugs.gnu.org]
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 52956
Cc: John Kehayias <john.kehayias@HIDDEN>,
 "52956 <at> debbugs.gnu.org" <52956 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi,

Alex Devaure <ajadevaure@HIDDEN> skribis:

> I just submitted a patch to add the new version of lua.

Nice.  Now that the newer Lua is committed, could you update the
Darktable patch accordingly?  And then I think we=E2=80=99ll be done.

Thanks in advance,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#52956; Package guix-patches. Full text available.
Merged 52956 53152. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 52956 <at> debbugs.gnu.org:


Received: (at 52956) by debbugs.gnu.org; 11 Jan 2022 12:26:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 11 07:26:56 2022
Received: from localhost ([127.0.0.1]:54334 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7GEq-0008It-9n
	for submit <at> debbugs.gnu.org; Tue, 11 Jan 2022 07:26:56 -0500
Received: from mail-wr1-f53.google.com ([209.85.221.53]:34632)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ajadevaure@HIDDEN>) id 1n7GEo-0008Ih-M0
 for 52956 <at> debbugs.gnu.org; Tue, 11 Jan 2022 07:26:55 -0500
Received: by mail-wr1-f53.google.com with SMTP id h10so22492471wrb.1
 for <52956 <at> debbugs.gnu.org>; Tue, 11 Jan 2022 04:26:54 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=references:user-agent:from:to:cc:subject:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=Cyl722YrFath3i2RIdf/jCGr9e9iV+U9K/EBS4xgdvI=;
 b=kf0HgRFBmYWOaJAoM02uE+0I7yw3SWgq4nwfLOamh2a2zrk9vPSxZ6X+39HTSwEDbR
 VzGKHe4nj1G2qx6WSYxgw2cCzcW9YbxULX0Yk0bWwZJITAf58vfs/6N1sNQys2Gx1k9C
 3a/u96Jn4rEL+0n7hCYjWAjRI237t8eO2h5Oe1d0fSSOG312zzVr392cYA4KRV9LSrsh
 B1rCaFcI8NwWrtfMPEVIAiGAkpY4fhhTYqX9YiAtB/mbmmkE6lgEocPfIz9v1Ck0c2eY
 zpRWUBo08ppxQyAkQgk22lo8qo6Uil/oZKwJWBuhoPxjtGx0lf5jf0QPymdlrt0XzaLb
 rwgw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject:date
 :in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=Cyl722YrFath3i2RIdf/jCGr9e9iV+U9K/EBS4xgdvI=;
 b=eGtq4v/k8UrFV1bDkjHaIPVtl3NIWjtayLNf7JVifsHGDKojy2uV+HrvRLSrH+I2gi
 tHo4OsHLQfmT/Qq5PiZ/U+zcYtLd6mFD/frevRRzUWBBFy0zA9mlrzpN55VTXq04XwRA
 ov+vT6oMHC3bghmldX07olPX0zihoP21ES+tJCI1X+Gxp2FLrzr/m/SoQPnahCekl8Fc
 ZVHyYosgjKgOsM1bmD6PAYZlmfPkwc9W3yf2jEikbwGTSlndO478jMKkeYADn1b5ZZhj
 FMF2gaBqMe59LIsLEwV0DqEMj5kh0BWF+IXqx+sauGO8kriSrdEBe1rzohcsjf+sjyjl
 Siew==
X-Gm-Message-State: AOAM533faJmAN6wiJXD2vQ8sC4bX+l4RR6iBwbV4lNAfjSGJ5cZYXjzF
 isgvsv7C5+Ifx4bSENIqg+/WwwkXFxPhsA==
X-Google-Smtp-Source: ABdhPJzcBynBkdmCNuX7bqLEcv0vMxmo3MWBt2WYxAjDi7TdX+QcrqUtAc0fexk/oa2kaNO58XNeTA==
X-Received: by 2002:adf:f803:: with SMTP id s3mr3581333wrp.41.1641904008725;
 Tue, 11 Jan 2022 04:26:48 -0800 (PST)
Received: from guixbox ([2a02:c7e:1d62:c300:bcea:534c:4d58:d50])
 by smtp.gmail.com with ESMTPSA id m7sm1534194wmi.13.2022.01.11.04.26.48
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 11 Jan 2022 04:26:48 -0800 (PST)
References: <875yr24glr.fsf@HIDDEN>
 <ZWOcJvwJLFSM-TjPkFv6gCAopoW3uxbj-TjJZOJuSRdVhizNxipt37q1Sxq6etyZyww_pQ0Oz2kXXrxVf2cPJh-dJlyf5jY1LcnqZ4yciA8=@protonmail.com>
 <87h7ad3n44.fsf_-_@HIDDEN>
 <foNs-rC4Sspfcler7BcTlQXzSzqxMF4u30DrSSYQF8YW81u1sb9RkYNNIeM7CmcRgqnCNsj2poK-3iwI4o4wtThAs6ZqhFTnxig26eUpxIA=@protonmail.com>
 <87sftxdshj.fsf@HIDDEN>
 <k8r4z2cDy3Wo5a6GciJ-94u1qUrpBvo93r-JHlXyf1MZLqUcGybd3zujmHURNai7v7vO4JpcVcaaf9gRrad2bvRObsTsAakbavpRsD-i0Wg=@protonmail.com>
 <87zgo4ppx9.fsf@HIDDEN>
User-agent: mu4e 1.6.10; emacs 27.2
From: Alex Devaure <ajadevaure@HIDDEN>
To: John Kehayias <john.kehayias@HIDDEN>
Subject: Re: bug#52956: [PATCH] gnu: darktable: update to 3.8.0
Date: Tue, 11 Jan 2022 12:25:54 +0000
In-reply-to: <87zgo4ppx9.fsf@HIDDEN>
Message-ID: <87czkypiey.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52956
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 "52956 <at> debbugs.gnu.org" <52956 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi John and Ludo,
I just submitted a patch to add the new version of lua.
Kind regards,
Alex

Alex Devaure <ajadevaure@HIDDEN> writes:

> Hi John and Ludo,
>
> John Kehayias <john.kehayias@HIDDEN> writes:
>
>> Hi Alex and Ludo=E2=80=99,
>>
>> =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 Original=
 Message =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90
>>
>> On Sunday, January 9th, 2022 at 6:56 AM, Alex Devaure wrote:
>>
>>> I managed to build darktable with the last lua version (4.5.3) but I
>>> needed to update the patched for that version.
>>> During that process, I came to the same question than John's: what is
>>> the best and least disturbing way to add lua 4.5.3?
>>>
>>
>> Glad to hear darktable builds with the newer version of Lua.
>>
>> However, I realized belatedly that the --with-latest transformation
>> will not inherit the patches of the original package. And, as I would
>> have expected, those patches don't apply cleanly to the new 5.4.3
>> source. I haven't had a chance to investigate, and likely won't be
>> able to for a bit (still catching up on other patches I have).
>>
> I modified lua.scm to integrate the version 4.5.3, creating new patches
> as the current ones didn't work for that version.
>
>> As for how to introduce the new version, my guess (now that the
>> patches needed to be updated) would be to have a lua-5.4 (or called
>> lua-next) package. If it is just the patches that need to be updated,
>> lua (the 5.3 version) could inherit from lua-5.4 adjusting the source
>> field for that version and using the original patches. Assuming this
>> doesn't cause rebuilds of the lua packages, that is. If more changes
>> are needed, then lua-5.4 would just stand separate from the lua <=3D 5.3
>> version set.
> I should be able to send a patch with a new package names lua-5.4
> tomorrow (UK time).
>
>>
>> John
>
> Best regards,
> Alex





Information forwarded to guix-patches@HIDDEN:
bug#52956; Package guix-patches. Full text available.

Message received at 52956 <at> debbugs.gnu.org:


Received: (at 52956) by debbugs.gnu.org; 9 Jan 2022 22:48:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 09 17:48:53 2022
Received: from localhost ([127.0.0.1]:51520 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6gzb-0006qD-3R
	for submit <at> debbugs.gnu.org; Sun, 09 Jan 2022 17:48:53 -0500
Received: from mail-wm1-f48.google.com ([209.85.128.48]:33330)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ajadevaure@HIDDEN>) id 1n6fbk-0004eN-M3
 for 52956 <at> debbugs.gnu.org; Sun, 09 Jan 2022 16:20:09 -0500
Received: by mail-wm1-f48.google.com with SMTP id
 o7-20020a05600c510700b00347e10f66d1so998708wms.0
 for <52956 <at> debbugs.gnu.org>; Sun, 09 Jan 2022 13:20:08 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=references:user-agent:from:to:cc:subject:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=E9tVfcFph3YsVduoLau4D5jjd1SDeaBKKG91OeGOKsM=;
 b=nUuItHsR388s2GUiX3UJideYkocRry/OjdiXoAwWCxJn+DMF/oAHwhavQh60qVBDxf
 gDdJNFlQpzqs6J1dzF9+fxeCHiBLnLpZ14AlGKSVMMevsSopnAvfyt3Sm+eWqjK/XtEt
 CqAwPlgaMgSnJ+XlPxoe1msVy1PXVwt6bRhofk8oOWFXkIEL7dQ4azsCsFFIRGSf5sSY
 XXzXDAOOgCXuqUU2dyCb4HWSHQLvb7+eYKYH87C+dBXDD12Jk70L887ypNMqXI5gzfna
 sE2PLRUg+K7F8hCc7zesX2NPadV+WqtWpe38C75YHRnn7tR4J0Sqo381+LRYE9R1OvvL
 o6oQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject:date
 :in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=E9tVfcFph3YsVduoLau4D5jjd1SDeaBKKG91OeGOKsM=;
 b=L9dIB8tOfQxm0hWzz3D5nzamDxgOpxHjQFqyQ1M96De2IQFsXSsTrSCw0jq3bBlaGw
 2P0mAgyHcgz/p0X8RQeAjBeL5fNsmqzaIanWAPfzKF/U4rswXuFdB3b3UbafHmBQkyBj
 WO8kUaJfm43S+JDd6T/avCfKykFDlu/MV+Ttwu8eZsG8sq89Pkya1uNCOlomWkxHD+Og
 tEbjNVIEGt2OvCp0H+tX54WoaqUwYN2m7VzvqvxSiLMtP1q9Vnfn5Zi2lSn+HjH/U0nK
 hpHpwSln2HxueXbN0EYu7ctAXnV4cpks3jpWzkV9nmTtB5WlhS6W00tD546xE9/d7HDv
 GctQ==
X-Gm-Message-State: AOAM532a8yTlmT4HxRlpVO90Pe7ANTjUFH4ocKUd/B92cqSAavaWt6oz
 w3GelaRiO+XFrUlGUZ1XrBM2Av9InbcCXg==
X-Google-Smtp-Source: ABdhPJy+/TbdCz3eCAJ3pUf5N35L0OsalE1qzDJpnRdjHeN6Xg9RGsQhmozaoXwAxjFVTqTtv4CZ0A==
X-Received: by 2002:a05:600c:220e:: with SMTP id
 z14mr12841891wml.37.1641763203070; 
 Sun, 09 Jan 2022 13:20:03 -0800 (PST)
Received: from guixbox ([2a02:c7e:1d62:c300:bcea:534c:4d58:d50])
 by smtp.gmail.com with ESMTPSA id l26sm5248154wms.24.2022.01.09.13.20.02
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 09 Jan 2022 13:20:02 -0800 (PST)
References: <875yr24glr.fsf@HIDDEN>
 <ZWOcJvwJLFSM-TjPkFv6gCAopoW3uxbj-TjJZOJuSRdVhizNxipt37q1Sxq6etyZyww_pQ0Oz2kXXrxVf2cPJh-dJlyf5jY1LcnqZ4yciA8=@protonmail.com>
 <87h7ad3n44.fsf_-_@HIDDEN>
 <foNs-rC4Sspfcler7BcTlQXzSzqxMF4u30DrSSYQF8YW81u1sb9RkYNNIeM7CmcRgqnCNsj2poK-3iwI4o4wtThAs6ZqhFTnxig26eUpxIA=@protonmail.com>
 <87sftxdshj.fsf@HIDDEN>
 <k8r4z2cDy3Wo5a6GciJ-94u1qUrpBvo93r-JHlXyf1MZLqUcGybd3zujmHURNai7v7vO4JpcVcaaf9gRrad2bvRObsTsAakbavpRsD-i0Wg=@protonmail.com>
User-agent: mu4e 1.6.10; emacs 27.2
From: Alex Devaure <ajadevaure@HIDDEN>
To: John Kehayias <john.kehayias@HIDDEN>
Subject: Re: bug#52956: [PATCH] gnu: darktable: update to 3.8.0
Date: Sun, 09 Jan 2022 21:14:53 +0000
In-reply-to: <k8r4z2cDy3Wo5a6GciJ-94u1qUrpBvo93r-JHlXyf1MZLqUcGybd3zujmHURNai7v7vO4JpcVcaaf9gRrad2bvRObsTsAakbavpRsD-i0Wg=@protonmail.com>
Message-ID: <87zgo4ppx9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52956
X-Mailman-Approved-At: Sun, 09 Jan 2022 17:48:50 -0500
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 "52956 <at> debbugs.gnu.org" <52956 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi John and Ludo,

John Kehayias <john.kehayias@HIDDEN> writes:

> Hi Alex and Ludo=E2=80=99,
>
> =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 Original =
Message =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90
>
> On Sunday, January 9th, 2022 at 6:56 AM, Alex Devaure wrote:
>
>> I managed to build darktable with the last lua version (4.5.3) but I
>> needed to update the patched for that version.
>> During that process, I came to the same question than John's: what is
>> the best and least disturbing way to add lua 4.5.3?
>>
>
> Glad to hear darktable builds with the newer version of Lua.
>
> However, I realized belatedly that the --with-latest transformation
> will not inherit the patches of the original package. And, as I would
> have expected, those patches don't apply cleanly to the new 5.4.3
> source. I haven't had a chance to investigate, and likely won't be
> able to for a bit (still catching up on other patches I have).
>
I modified lua.scm to integrate the version 4.5.3, creating new patches
as the current ones didn't work for that version.

> As for how to introduce the new version, my guess (now that the
> patches needed to be updated) would be to have a lua-5.4 (or called
> lua-next) package. If it is just the patches that need to be updated,
> lua (the 5.3 version) could inherit from lua-5.4 adjusting the source
> field for that version and using the original patches. Assuming this
> doesn't cause rebuilds of the lua packages, that is. If more changes
> are needed, then lua-5.4 would just stand separate from the lua <=3D 5.3
> version set.
I should be able to send a patch with a new package names lua-5.4
tomorrow (UK time).

>
> John

Best regards,
Alex




Information forwarded to guix-patches@HIDDEN:
bug#52956; Package guix-patches. Full text available.

Message received at 52956 <at> debbugs.gnu.org:


Received: (at 52956) by debbugs.gnu.org; 9 Jan 2022 18:35:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 09 13:35:23 2022
Received: from localhost ([127.0.0.1]:51244 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6d2J-0006s1-Mq
	for submit <at> debbugs.gnu.org; Sun, 09 Jan 2022 13:35:23 -0500
Received: from mail-40131.protonmail.ch ([185.70.40.131]:41977)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1n6d2I-0006ro-BH
 for 52956 <at> debbugs.gnu.org; Sun, 09 Jan 2022 13:35:23 -0500
Date: Sun, 09 Jan 2022 18:35:13 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail2; t=1641753316;
 bh=SrAc9F3PCOFrlqQAQvcYOsZgN5s8aXFTnH2UHcK01gE=;
 h=Date:To:From:Cc:Reply-To:Subject:Message-ID:In-Reply-To:
 References:From:To:Cc;
 b=wkgC3o5ISm3krcjH8wVQsIHJhYV2+OHNR/7/ra8ktKrZjxxt71Ps011WNzZXK4+VK
 QZYKPczokNDeZwnn2VoGzb4mhnsnkyCA2+S/zndTeH6O3wpBt9Yn9F+CxdP/RVcVcM
 vpwQX6ruGZzgSKIg8WUSdYYom3AMXOLgeRQJ69AmEVdqMtg0QraVl1GEEWlnRbKf0K
 n2IStHRpiBtbHTP0MMNjTRzAEldEXthQnk6KHviVx1zuajdZV/uSop2yj6b+3XIiT+
 9LOo4g2nd1Z2wZeCL830960TQSaKC+LZ7hKQ+Un+cwuDCzAKmy3akBexftVHnGPfOz
 SeSGj/+SLa3BQ==
To: Alex Devaure <ajadevaure@HIDDEN>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: Re: bug#52956: [PATCH] gnu: darktable: update to 3.8.0
Message-ID: <k8r4z2cDy3Wo5a6GciJ-94u1qUrpBvo93r-JHlXyf1MZLqUcGybd3zujmHURNai7v7vO4JpcVcaaf9gRrad2bvRObsTsAakbavpRsD-i0Wg=@protonmail.com>
In-Reply-To: <87sftxdshj.fsf@HIDDEN>
References: <875yr24glr.fsf@HIDDEN>
 <ZWOcJvwJLFSM-TjPkFv6gCAopoW3uxbj-TjJZOJuSRdVhizNxipt37q1Sxq6etyZyww_pQ0Oz2kXXrxVf2cPJh-dJlyf5jY1LcnqZ4yciA8=@protonmail.com>
 <87h7ad3n44.fsf_-_@HIDDEN>
 <foNs-rC4Sspfcler7BcTlQXzSzqxMF4u30DrSSYQF8YW81u1sb9RkYNNIeM7CmcRgqnCNsj2poK-3iwI4o4wtThAs6ZqhFTnxig26eUpxIA=@protonmail.com>
 <87sftxdshj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52956
Cc: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>,
 "52956 <at> debbugs.gnu.org" <52956 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Alex and Ludo=E2=80=99,

=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 Original Me=
ssage =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90

On Sunday, January 9th, 2022 at 6:56 AM, Alex Devaure wrote:

> I managed to build darktable with the last lua version (4.5.3) but I
> needed to update the patched for that version.
> During that process, I came to the same question than John's: what is
> the best and least disturbing way to add lua 4.5.3?
>

Glad to hear darktable builds with the newer version of Lua.

However, I realized belatedly that the --with-latest transformation will no=
t inherit the patches of the original package. And, as I would have expecte=
d, those patches don't apply cleanly to the new 5.4.3 source. I haven't had=
 a chance to investigate, and likely won't be able to for a bit (still catc=
hing up on other patches I have).

As for how to introduce the new version, my guess (now that the patches nee=
ded to be updated) would be to have a lua-5.4 (or called lua-next) package.=
 If it is just the patches that need to be updated, lua (the 5.3 version) c=
ould inherit from lua-5.4 adjusting the source field for that version and u=
sing the original patches. Assuming this doesn't cause rebuilds of the lua =
packages, that is. If more changes are needed, then lua-5.4 would just stan=
d separate from the lua <=3D 5.3 version set.

John




Information forwarded to guix-patches@HIDDEN:
bug#52956; Package guix-patches. Full text available.

Message received at 52956 <at> debbugs.gnu.org:


Received: (at 52956) by debbugs.gnu.org; 9 Jan 2022 12:38:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 09 07:38:58 2022
Received: from localhost ([127.0.0.1]:49348 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6XTK-000229-SL
	for submit <at> debbugs.gnu.org; Sun, 09 Jan 2022 07:38:58 -0500
Received: from mail-wr1-f53.google.com ([209.85.221.53]:40803)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ajadevaure@HIDDEN>) id 1n6Wx6-0007XX-75
 for 52956 <at> debbugs.gnu.org; Sun, 09 Jan 2022 07:05:39 -0500
Received: by mail-wr1-f53.google.com with SMTP id l10so21303615wrh.7
 for <52956 <at> debbugs.gnu.org>; Sun, 09 Jan 2022 04:05:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=references:user-agent:from:to:cc:subject:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=Pjz5PpJz6JsQqSEYXif5Mc9TmllbzPhKSgHIso8GH1M=;
 b=Y5Q2xPf8Ctbak+DvSO1qYvYjfFxN0QAgPWQF8YDvPJ5/vJAYjtHZ2cPU9snN9NDrBa
 VB7jIyRmc0Yigj0MBMl/w4fkZQtWKXA4iBRut65IO9yr1wuE8pQxWtn+2OOScGbOBi14
 G+MRKbylhzGvPsyaom7u2gRPhLrF2naeC1XweCbTaHcYvhFLoUqAUKLhuQE6BPuszMI1
 iL4WKY3UASMSQvGDmnQ6ZNm7kBwkF/KImMBqsmebMQz3kjlov35WV2yW4f7T60Ud9zCV
 6s6ruCRZUr+79UIPdURkQKtovRLvxPQkdo0sGzIKZLytXRngtR1X9HNYXFZbJAga/Ni1
 34Vg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject:date
 :in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=Pjz5PpJz6JsQqSEYXif5Mc9TmllbzPhKSgHIso8GH1M=;
 b=oN/gmw721AgPUcE8bwC6I2bTp3qIP+y3URsouhP1Y8JvaizDdg4luKoY9WCJUrtlmR
 EVFE+pktJ+rqJy+TnHtfihlKHgGQ+itQtrWCi5Ar26igZO1sILe+AVkDaTDJLqFsw12A
 bu5CaJfacmS/8a41QQFpXUanUKqRWbTnt2ddw8TvGgix1D74OJMGZBSk5MepM4aAVpEh
 MrUdWPNy05CVDvwlVIot5WqJvJYjcm1ymR5BTJyAl2ML9NGkiH/cEm0NQIVUKitJdOk4
 ApHqJoOHafCJXLRjSNH5GI6J4WDOBvZRdtz7wPcbSDS5c93LHobl3aa8wMJMVcD8DJX8
 2HVw==
X-Gm-Message-State: AOAM530sDFKI0GQMQRIFRlVwgE93qMBeoXWANZ/HxorLdm1SI0RN+qZl
 Xq7H8ApEraOOPGG+HslYm6aXlX8CU2E=
X-Google-Smtp-Source: ABdhPJwzFiNdZBPjWpPh+dovL131TnuXeBPyYiLWDeKt6Lq7WS3+07D9fbHCcSmai9olzUyb99IaXw==
X-Received: by 2002:adf:9c8d:: with SMTP id d13mr4429682wre.347.1641729930261; 
 Sun, 09 Jan 2022 04:05:30 -0800 (PST)
Received: from guixbox ([2a02:c7e:1d62:c300:bcea:534c:4d58:d50])
 by smtp.gmail.com with ESMTPSA id o13sm4077219wrc.111.2022.01.09.04.05.29
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 09 Jan 2022 04:05:29 -0800 (PST)
References: <875yr24glr.fsf@HIDDEN>
 <ZWOcJvwJLFSM-TjPkFv6gCAopoW3uxbj-TjJZOJuSRdVhizNxipt37q1Sxq6etyZyww_pQ0Oz2kXXrxVf2cPJh-dJlyf5jY1LcnqZ4yciA8=@protonmail.com>
 <87h7ad3n44.fsf_-_@HIDDEN>
 <foNs-rC4Sspfcler7BcTlQXzSzqxMF4u30DrSSYQF8YW81u1sb9RkYNNIeM7CmcRgqnCNsj2poK-3iwI4o4wtThAs6ZqhFTnxig26eUpxIA=@protonmail.com>
User-agent: mu4e 1.6.10; emacs 27.2
From: Alex Devaure <ajadevaure@HIDDEN>
To: John Kehayias <john.kehayias@HIDDEN>
Subject: Re: bug#52956: [PATCH] gnu: darktable: update to 3.8.0
Date: Sun, 09 Jan 2022 11:56:12 +0000
In-reply-to: <foNs-rC4Sspfcler7BcTlQXzSzqxMF4u30DrSSYQF8YW81u1sb9RkYNNIeM7CmcRgqnCNsj2poK-3iwI4o4wtThAs6ZqhFTnxig26eUpxIA=@protonmail.com>
Message-ID: <87sftxdshj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52956
X-Mailman-Approved-At: Sun, 09 Jan 2022 07:38:54 -0500
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 "52956 <at> debbugs.gnu.org" <52956 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi John and Ludovic,

John Kehayias <john.kehayias@HIDDEN> writes:

> Hello,
>
> =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 Original =
Message =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90
>
> On Saturday, January 8th, 2022 at 4:59 PM, Ludovic Court=C3=A8s <ludo@gnu=
.org> wrote:
>
>> Hi John and Alex,
>>
>> John Kehayias john.kehayias@HIDDEN skribis:
>>
>> > Thanks for the update to darktable. However, I noticed in the
>> > release notes that darktable now requires Lua 5.4 (we only have
>> > 5.3.5). When I tried my own update locally I could see that Lua
>> > support, needed for plugins, was disabled at configure due to the
>> > missing Lua 5.4 version.
>> >
>> > Release notes: https://www.darktable.org/2021/12/darktable-3.8.0-relea=
sed/
>> >
>> > I think it would be best to have the newer Lua version so we don't los=
e plugin support. Is there a patch for Lua 5.4 for Guix (my quick search di=
dn't fine one)?
>>
>> Indeed. I don=E2=80=99t see Lua 5.4 in the patch queue at issues.guix.gn=
u.org.
>> Does one of you want to give it a try?
>>
> I just tried a guix build lua --with-latest=3Dlua and it built version
> 5.4.3 without any issue (even with the patches it has). I don't know
> anything to test with Lua, but in a guix shell it reported the correct
> version and the interpreter ran (I looked up a simple print statement
> which did work).
>
> If there's nothing in particular I should look for, I can submit a quick =
patch for this. Should the package be lua-5.4 or maybe lua-next? And should=
 the current lua now inherit from this latest version?
>
> I'm assuming for the lua system to be updated would need a staging or
> core-updates cycle, with guix refresh lua -l reporting "408 packages
> would ensure 782 dependent packages are rebuilt". So we wouldn't want
> to replace "lua" with 5.4.3 yet.
>
> John

I managed to build darktable with the last lua version (4.5.3) but I
needed to update the patched for that version.
During that process, I came to the same question than John's: what is
the best and least disturbing way to add lua 4.5.3?

Kind regards,
Alex




Information forwarded to guix-patches@HIDDEN:
bug#52956; Package guix-patches. Full text available.

Message received at 52956 <at> debbugs.gnu.org:


Received: (at 52956) by debbugs.gnu.org; 8 Jan 2022 22:54:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 08 17:54:20 2022
Received: from localhost ([127.0.0.1]:48892 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6KbL-0002nf-S8
	for submit <at> debbugs.gnu.org; Sat, 08 Jan 2022 17:54:20 -0500
Received: from mail-40134.protonmail.ch ([185.70.40.134]:26597)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1n6KbJ-0002nO-W5
 for 52956 <at> debbugs.gnu.org; Sat, 08 Jan 2022 17:54:18 -0500
Date: Sat, 08 Jan 2022 22:54:09 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail2; t=1641682451;
 bh=KIy7mEM+W8RYW79N34STIGI6C58gBrLRQuC14M9Jmmw=;
 h=Date:To:From:Cc:Reply-To:Subject:Message-ID:In-Reply-To:
 References:From:To:Cc;
 b=xIYx03Y9QtYKAymzP7l+zL6/fHhnGio8fA2V6+DLpRu02JgqCQiL1Q5iDZd6qVCjq
 qoBRPStwZZcV+s3ktuIDuTBkBDEGnvxRxnxCk3nfjIhEPFYSpEVp7xTtd3/AF+1OfD
 vxs4MFefJKn80tlwSojePP3lJZwzQtiF2Zq8HYoylBNFjd702aqBZBd2esO8lvij1B
 MDa+jevQfCuG4/rcyMl4umJ4gOwvTZSP80l0cd2VGWSOsG4V0t7lvD06EFtI3mRZOy
 hKNlnyPjwnd30032Rdew4KxzSJatJLW8Thp9FLy0HW4wLi7Re0RdxAeRMMjgYPpP0e
 ohQeVk67xKBPw==
To: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: Re: bug#52956: [PATCH] gnu: darktable: update to 3.8.0
Message-ID: <foNs-rC4Sspfcler7BcTlQXzSzqxMF4u30DrSSYQF8YW81u1sb9RkYNNIeM7CmcRgqnCNsj2poK-3iwI4o4wtThAs6ZqhFTnxig26eUpxIA=@protonmail.com>
In-Reply-To: <87h7ad3n44.fsf_-_@HIDDEN>
References: <875yr24glr.fsf@HIDDEN>
 <ZWOcJvwJLFSM-TjPkFv6gCAopoW3uxbj-TjJZOJuSRdVhizNxipt37q1Sxq6etyZyww_pQ0Oz2kXXrxVf2cPJh-dJlyf5jY1LcnqZ4yciA8=@protonmail.com>
 <87h7ad3n44.fsf_-_@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52956
Cc: Alex Devaure <ajadevaure@HIDDEN>,
 "52956 <at> debbugs.gnu.org" <52956 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 Original Me=
ssage =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90

On Saturday, January 8th, 2022 at 4:59 PM, Ludovic Court=C3=A8s <ludo@HIDDEN=
rg> wrote:

> Hi John and Alex,
>
> John Kehayias john.kehayias@HIDDEN skribis:
>
> > Thanks for the update to darktable. However, I noticed in the release n=
otes that darktable now requires Lua 5.4 (we only have 5.3.5). When I tried=
 my own update locally I could see that Lua support, needed for plugins, wa=
s disabled at configure due to the missing Lua 5.4 version.
> >
> > Release notes: https://www.darktable.org/2021/12/darktable-3.8.0-releas=
ed/
> >
> > I think it would be best to have the newer Lua version so we don't lose=
 plugin support. Is there a patch for Lua 5.4 for Guix (my quick search did=
n't fine one)?
>
> Indeed. I don=E2=80=99t see Lua 5.4 in the patch queue at issues.guix.gnu=
.org.
> Does one of you want to give it a try?
>
I just tried a guix build lua --with-latest=3Dlua and it built version 5.4.=
3 without any issue (even with the patches it has). I don't know anything t=
o test with Lua, but in a guix shell it reported the correct version and th=
e interpreter ran (I looked up a simple print statement which did work).

If there's nothing in particular I should look for, I can submit a quick pa=
tch for this. Should the package be lua-5.4 or maybe lua-next? And should t=
he current lua now inherit from this latest version?

I'm assuming for the lua system to be updated would need a staging or core-=
updates cycle, with guix refresh lua -l reporting "408 packages would ensur=
e 782 dependent packages are rebuilt". So we wouldn't want to replace "lua"=
 with 5.4.3 yet.

John




Information forwarded to guix-patches@HIDDEN:
bug#52956; Package guix-patches. Full text available.

Message received at 52956 <at> debbugs.gnu.org:


Received: (at 52956) by debbugs.gnu.org; 8 Jan 2022 21:59:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 08 16:59:33 2022
Received: from localhost ([127.0.0.1]:48828 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6JkL-0007Rw-9e
	for submit <at> debbugs.gnu.org; Sat, 08 Jan 2022 16:59:33 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:52416)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1n6JkJ-0007Rh-AL
 for 52956 <at> debbugs.gnu.org; Sat, 08 Jan 2022 16:59:31 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id AC8D02A1;
 Sat,  8 Jan 2022 22:59:25 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id sLBGZBrsS5U4; Sat,  8 Jan 2022 22:59:25 +0100 (CET)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 5AAE0283;
 Sat,  8 Jan 2022 22:59:24 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: John Kehayias <john.kehayias@HIDDEN>
Subject: Re: bug#52956: [PATCH] gnu: darktable: update to 3.8.0
References: <875yr24glr.fsf@HIDDEN>
 <ZWOcJvwJLFSM-TjPkFv6gCAopoW3uxbj-TjJZOJuSRdVhizNxipt37q1Sxq6etyZyww_pQ0Oz2kXXrxVf2cPJh-dJlyf5jY1LcnqZ4yciA8=@protonmail.com>
Date: Sat, 08 Jan 2022 22:59:23 +0100
In-Reply-To: <ZWOcJvwJLFSM-TjPkFv6gCAopoW3uxbj-TjJZOJuSRdVhizNxipt37q1Sxq6etyZyww_pQ0Oz2kXXrxVf2cPJh-dJlyf5jY1LcnqZ4yciA8=@protonmail.com>
 (John Kehayias's message of "Sun, 02 Jan 2022 17:21:38 +0000")
Message-ID: <87h7ad3n44.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spamd-Bar: /
Authentication-Results: hera.aquilenet.fr;
	none
X-Rspamd-Server: hera
X-Rspamd-Queue-Id: AC8D02A1
X-Spamd-Result: default: False [-0.10 / 15.00]; ARC_NA(0.00)[];
 TO_DN_EQ_ADDR_SOME(0.00)[]; RCVD_VIA_SMTP_AUTH(0.00)[];
 FROM_HAS_DN(0.00)[]; RCPT_COUNT_THREE(0.00)[3];
 TO_MATCH_ENVRCPT_ALL(0.00)[];
 FREEMAIL_ENVRCPT(0.00)[gmail.com,protonmail.com];
 MIME_GOOD(-0.10)[text/plain]; TO_DN_SOME(0.00)[];
 FREEMAIL_TO(0.00)[protonmail.com]; FROM_EQ_ENVFROM(0.00)[];
 MIME_TRACE(0.00)[0:+]; RCVD_COUNT_TWO(0.00)[2];
 RCVD_TLS_ALL(0.00)[]; MID_RHS_MATCH_FROM(0.00)[];
 FREEMAIL_CC(0.00)[debbugs.gnu.org,gmail.com]
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 52956
Cc: Alex Devaure <ajadevaure@HIDDEN>,
 "52956 <at> debbugs.gnu.org" <52956 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi John and Alex,

John Kehayias <john.kehayias@HIDDEN> skribis:

> Thanks for the update to darktable. However, I noticed in the release not=
es that darktable now requires Lua 5.4 (we only have 5.3.5). When I tried m=
y own update locally I could see that Lua support, needed for plugins, was =
disabled at configure due to the missing Lua 5.4 version.
>
> Release notes: https://www.darktable.org/2021/12/darktable-3.8.0-released/
>
> I think it would be best to have the newer Lua version so we don't lose p=
lugin support. Is there a patch for Lua 5.4 for Guix (my quick search didn'=
t fine one)?

Indeed.  I don=E2=80=99t see Lua 5.4 in the patch queue at issues.guix.gnu.=
org.
Does one of you want to give it a try?

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#52956; Package guix-patches. Full text available.

Message received at 52956 <at> debbugs.gnu.org:


Received: (at 52956) by debbugs.gnu.org; 2 Jan 2022 17:21:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 02 12:21:50 2022
Received: from localhost ([127.0.0.1]:33585 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n44YI-0003To-4e
	for submit <at> debbugs.gnu.org; Sun, 02 Jan 2022 12:21:50 -0500
Received: from mail-40133.protonmail.ch ([185.70.40.133]:13500)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1n44YG-0003TX-2Z
 for 52956 <at> debbugs.gnu.org; Sun, 02 Jan 2022 12:21:48 -0500
Date: Sun, 02 Jan 2022 17:21:38 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail2; t=1641144101;
 bh=3HiUoX/Z+TQBufjUj0f9PqBwDzv/GfooVz/I01gi6ew=;
 h=Date:To:From:Reply-To:Subject:Message-ID:From:To:Cc;
 b=NS+2EONIGI42mF+/61/7EK2+jgkIqVX6crSuVy3HRcffbri2pleCvkwgbeRlHBWZc
 tVnfDyZ2FUwn7miEQpygCdKazYNBIgiYW5HzRyzzn+N3nZXcS7HTD2L0rLAAzgWUvs
 ko+NaMwoOVSb930BZAba6zYxw5eSk1fGuNP8aFkyH0XP6UxDa71Twn1BYHU/RqRd8S
 dZyyrU8Ph+Ggs4X4QA3YcYofGpvtJ+rEwh2Rouw2kRHafzgs6zzp76xLycIBnEmCSz
 FBhaSPtwsjAunIbMrwTCW9H+0dzVM6kVU9XonL8PSYRcDTdffWPs0F2vTwmytWlSY8
 Ayy4DcJF0IZ3A==
To: "52956 <at> debbugs.gnu.org" <52956 <at> debbugs.gnu.org>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: Re: [PATCH] gnu: darktable: update to 3.8.0
Message-ID: <ZWOcJvwJLFSM-TjPkFv6gCAopoW3uxbj-TjJZOJuSRdVhizNxipt37q1Sxq6etyZyww_pQ0Oz2kXXrxVf2cPJh-dJlyf5jY1LcnqZ4yciA8=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 52956
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

Thanks for the update to darktable. However, I noticed in the release notes=
 that darktable now requires Lua 5.4 (we only have 5.3.5). When I tried my =
own update locally I could see that Lua support, needed for plugins, was di=
sabled at configure due to the missing Lua 5.4 version.

Release notes: https://www.darktable.org/2021/12/darktable-3.8.0-released/

I think it would be best to have the newer Lua version so we don't lose plu=
gin support. Is there a patch for Lua 5.4 for Guix (my quick search didn't =
fine one)?

John




Information forwarded to guix-patches@HIDDEN:
bug#52956; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jan 2022 16:59:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 02 11:59:57 2022
Received: from localhost ([127.0.0.1]:33533 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n44D6-0002nt-SE
	for submit <at> debbugs.gnu.org; Sun, 02 Jan 2022 11:59:57 -0500
Received: from lists.gnu.org ([209.51.188.17]:38758)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ajadevaure@HIDDEN>) id 1n3xQE-0006kz-KG
 for submit <at> debbugs.gnu.org; Sun, 02 Jan 2022 04:45:03 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52886)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ajadevaure@HIDDEN>)
 id 1n3xQC-0004sG-R3
 for guix-patches@HIDDEN; Sun, 02 Jan 2022 04:45:02 -0500
Received: from [2a00:1450:4864:20::434] (port=33343
 helo=mail-wr1-x434.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <ajadevaure@HIDDEN>)
 id 1n3xQB-0003bh-0Y
 for guix-patches@HIDDEN; Sun, 02 Jan 2022 04:45:00 -0500
Received: by mail-wr1-x434.google.com with SMTP id d9so64359527wrb.0
 for <guix-patches@HIDDEN>; Sun, 02 Jan 2022 01:44:58 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=aCnFtobpvM8W0E2RhS4l597TdXMcONT/1VTftBsYbGQ=;
 b=oP7NXqNzA4fotd7T4sg7KeKCNDp4S9+QjqL4gcN1HMDI4DeSdY7yg6S+I+/PTTdzgJ
 xE5FMc+9agSYOptEHZfi3duTYI0bz+rYoxkYEvtCRkj3F939cr0Ecs6O6h7rx185/Dqm
 pcFGSvCkdOr8O58wF9J+eUO0eutbIrstKBrg+qY4mKYnKBAmLH2TCjeqFdiBsWdYCCqD
 DguboGlxsRu1wECCGNKfNU3/jgkMgmQgHt7gDgCCVF3QbX8I0JW+O7RZ6C/vIVWj5JCA
 SlH8OuZZWSyuyTPbA9umx25mBfEOpbbYY6yGE6NSHVtL20zBio2NP/L1RUDH0si5snEG
 /5mw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=aCnFtobpvM8W0E2RhS4l597TdXMcONT/1VTftBsYbGQ=;
 b=CYKam3gj4rILSVGnGg4Ejn5O9Q1qY1I1gOkOqI80oA3WKgV65CjEoq1AKDouv57MTP
 HpQOvd6PrfPYUUhWBhYf5q3sOHT20en+mHvPvB1Qg0VUKSqsyYXsnRjUcz5LY9cfu01e
 LhqZcpwyHFFOpwREkGpAUsVvasYqoq7Bka/EpAFw6Q9ZPBxVXAPwXqCktzjRGE+5i4CF
 hxh0TdA1ay6j7o50+aQnRn8S5sWWX4H9OH/EzeuzHitQijw4V8OEn0XSCz2hRAV1uBuJ
 QJE6kHC144pSGSNK+YvQUpf89MDbV825h+k4JRMF0OcAr+suGVDzJtV5lUeLkJgVXS0Y
 7gsA==
X-Gm-Message-State: AOAM531mIxRCl5aqZFUV4Q1XODVpVxtUM7M134jAK2nXbQu/XZdVGU8l
 dm5nPlbKQE7FPq4Nr0cbsv3jFEfbPmw=
X-Google-Smtp-Source: ABdhPJx5EPUb5POW0Boy3m/GGv7ACu13r0VtRTFY8TuyFTg5SsK2hFGvAdYAxq45wdybLeUVb3cUMA==
X-Received: by 2002:a5d:568a:: with SMTP id f10mr33805723wrv.509.1641116697095; 
 Sun, 02 Jan 2022 01:44:57 -0800 (PST)
Received: from guixbox ([2a02:c7e:1d62:c300:bcea:534c:4d58:d50])
 by smtp.gmail.com with ESMTPSA id d10sm34691184wri.57.2022.01.02.01.44.56
 for <guix-patches@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 02 Jan 2022 01:44:56 -0800 (PST)
User-agent: mu4e 1.6.10; emacs 27.2
From: Alex Devaure <ajadevaure@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: darktable: update to 3.8.0
Date: Sun, 02 Jan 2022 09:43:09 +0000
Message-ID: <875yr24glr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a00:1450:4864:20::434
 (failed)
Received-SPF: pass client-ip=2a00:1450:4864:20::434;
 envelope-from=ajadevaure@HIDDEN; helo=mail-wr1-x434.google.com
X-Spam_score_int: 6
X-Spam_score: 0.6
X-Spam_bar: /
X-Spam_report: (0.6 / 5.0 requ) DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RDNS_NONE=0.793, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 02 Jan 2022 11:59:55 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

---
 gnu/packages/photo.scm | 76 +++++++++++++++++++++---------------------
 1 file changed, 38 insertions(+), 38 deletions(-)

diff --git a/gnu/packages/photo.scm b/gnu/packages/photo.scm
index e6f26c3b72..a229897f08 100644
--- a/gnu/packages/photo.scm
+++ b/gnu/packages/photo.scm
@@ -460,7 +460,7 @@ (define-public lensfun
 (define-public darktable
   (package
     (name "darktable")
-    (version "3.6.1")
+    (version "3.8.0")
     (source
      (origin
        (method url-fetch)
@@ -468,7 +468,7 @@ (define-public darktable
              "https://github.com/darktable-org/darktable/releases/"
              "download/release-" version "/darktable-" version ".tar.xz"))
        (sha256
-        (base32 "051dwhdqa9q3zyrvr78g0cfzl1zhaagfvgx9axa9895q0g0wggx2"))))
+        (base32 "01gp9dg5wr2rg1k8cqs0l3s7ism8a4q8qypgwccd4jh7ip3wfr9f"))))
     (build-system cmake-build-system)
     (arguments
      `(#:configure-flags '("-DBINARY_PACKAGE_BUILD=On"
@@ -521,42 +521,42 @@ (define-public darktable
        ("python" ,python-wrapper)
        ("ruby" ,ruby)))
     (inputs
-     `(("cairo" ,cairo)
-       ("colord-gtk" ,colord-gtk) ;optional, for color profile support
-       ("cups" ,cups) ;optional, for printing support
-       ("curl" ,curl)
-       ("dbus-glib" ,dbus-glib)
-       ("exiv2" ,exiv2)
-       ("freeimage" ,freeimage)
-       ("gmic" ,gmic) ;optional, for HaldcLUT support
-       ("graphicsmagick" ,graphicsmagick)
-       ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
-       ("gtk+" ,gtk+)
-       ("imath" ,imath)
-       ("iso-codes" ,iso-codes) ;optional, for language names in the preferences
-       ("json-glib" ,json-glib)
-       ("lcms" ,lcms)
-       ("lensfun" ,lensfun) ;optional, for the lens distortion plugin
-       ("libgphoto2" ,libgphoto2) ;optional, for camera tethering
-       ("libavif" ,libavif) ;optional, for AVIF support
-       ("libjpeg" ,libjpeg-turbo)
-       ("libomp" ,libomp)
-       ("libpng" ,libpng)
-       ("librsvg" ,librsvg)
-       ("libsecret" ,libsecret) ;optional, for storing passwords
-       ("libsoup" ,libsoup-minimal-2)
-       ("libtiff" ,libtiff)
-       ("libwebp" ,libwebp) ;optional, for WebP support
-       ("libxml2" ,libxml2)
-       ("libxslt" ,libxslt)
-       ("lua" ,lua) ;optional, for plugins
-       ("opencl-icd-loader" ,opencl-icd-loader) ;optional, for OpenCL support
-       ("openexr" ,openexr) ;optional, for EXR import/export
-       ("openjpeg" ,openjpeg) ;optional, for JPEG2000 export
-       ("osm-gps-map" ,osm-gps-map) ;optional, for geotagging view
-       ("pugixml" ,pugixml)
-       ("python-jsonschema" ,python-jsonschema)
-       ("sqlite" ,sqlite)))
+     (list cairo
+           colord-gtk ;optional, for color profile support
+           cups ;optional, for printing support
+           curl
+           dbus-glib
+           exiv2
+           freeimage
+           gmic ;optional, for HaldcLUT support
+           graphicsmagick
+           gsettings-desktop-schemas
+           gtk+
+           imath
+           iso-codes ;optional, for language names in the preferences
+           json-glib
+           lcms
+           lensfun ;optional, for the lens distortion plugin
+           libgphoto2 ;optional, for camera tethering
+           libavif ;optional, for AVIF support
+           libjpeg-turbo
+           libomp
+           libpng
+           librsvg
+           libsecret ;optional, for storing passwords
+           libsoup-minimal-2
+           libtiff
+           libwebp ;optional, for WebP support
+           libxml2
+           libxslt
+           lua ;optional, for plugins
+           opencl-icd-loader ;optional, for OpenCL support
+           openexr ;optional, for EXR import/export
+           openjpeg ;optional, for JPEG2000 export
+           osm-gps-map ;optional, for geotagging view
+           pugixml
+           python-jsonschema
+           sqlite))
     (home-page "https://www.darktable.org")
     (synopsis "Virtual lighttable and darkroom for photographers")
     (description "Darktable is a photography workflow application and RAW
-- 
2.34.0




Acknowledgement sent to Alex Devaure <ajadevaure@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#52956; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 17 Jan 2022 21:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.